Loading...
Searching...
No Matches
cpe_language Struct Reference
CPE » CPE Dictionary

Language of product edition. More...

`#include <cpe_dict.h>`

## Public Member Functions

OSCAP_API void | cpe_language_free (struct cpe_language *language)
OSCAP_API struct cpe_language * | cpe_language_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct cpe_language_iterator * | cpe_edition_get_languages (const struct cpe_edition *item)
| cpe_edition functions to get languages of edition
OSCAP_API const char * | cpe_language_get_value (const struct cpe_language *item)
| cpe_language functions to get value of language
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_language_set_value (struct cpe_language *language, const char *new_value)

## Data Fields

char * | value

## Detailed Description

Language of product edition.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h